summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.editorconfig18
-rw-r--r--abump.in1
-rw-r--r--apkbuild-gem-resolver.in2
-rw-r--r--apkgrel.in1
-rw-r--r--buildlab.in40
-rw-r--r--newapkbuild.in3
6 files changed, 40 insertions, 25 deletions
diff --git a/.editorconfig b/.editorconfig
new file mode 100644
index 0000000..d5552fe
--- /dev/null
+++ b/.editorconfig
@@ -0,0 +1,18 @@
+# http://editorconfig.org
+root = true
+
+[*]
+charset = utf-8
+end_of_line = lf
+indent_size = 4
+indent_style = tab
+insert_final_newline = true
+trim_trailing_whitespace = true
+
+[apkbuild-gem-resolver.in]
+indent_size = 2
+indent_style = space
+
+[apkbuild-pypi.in]
+indent_size = 4
+indent_style = space
diff --git a/abump.in b/abump.in
index c8c2d7d..13db348 100644
--- a/abump.in
+++ b/abump.in
@@ -136,4 +136,3 @@ fi
abuild_opts="$recursive $keep"
do_bump "$@"
-
diff --git a/apkbuild-gem-resolver.in b/apkbuild-gem-resolver.in
index b6f9406..8040aac 100644
--- a/apkbuild-gem-resolver.in
+++ b/apkbuild-gem-resolver.in
@@ -211,7 +211,7 @@ end
class Update
- def initialize
+ def initialize
@gems = {}
@deps = []
end
diff --git a/apkgrel.in b/apkgrel.in
index 4e4922c..b20bb9c 100644
--- a/apkgrel.in
+++ b/apkgrel.in
@@ -136,4 +136,3 @@ IFS=$oldifs
do_verify "$@" || exit 1
$cmd "$@"
-
diff --git a/buildlab.in b/buildlab.in
index 7ba4e4c..54a852c 100644
--- a/buildlab.in
+++ b/buildlab.in
@@ -15,32 +15,32 @@ ABUILD_CONF=${ABUILD_CONF:-"$sysconfdir/abuild.conf"}
[ -f "$ABUILD_CONF" ] && . "$ABUILD_CONF"
default_colors() {
- NORMAL="\033[1;0m"
- STRONG="\033[1;1m"
- RED="\033[1;31m"
- GREEN="\033[1;32m"
- YELLOW="\033[1;33m"
- BLUE="\033[1;34m"
+ NORMAL="\033[1;0m"
+ STRONG="\033[1;1m"
+ RED="\033[1;31m"
+ GREEN="\033[1;32m"
+ YELLOW="\033[1;33m"
+ BLUE="\033[1;34m"
}
default_colors
is_local() {
- case "$1" in
- http://*|ftp://*|https://*|saveas-*://*)
- return 1;;
- esac
- return 0
+ case "$1" in
+ http://*|ftp://*|https://*|saveas-*://*)
+ return 1;;
+ esac
+ return 0
}
msg() {
local prompt="$GREEN>>>${NORMAL}"
- [ -z "$quiet" ] && printf "${prompt} $@\n" >&2
+ [ -z "$quiet" ] && printf "${prompt} $@\n" >&2
}
error() {
local prompt="$RED>>>${NORMAL}"
- printf "${prompt} $@\n" >&2
+ printf "${prompt} $@\n" >&2
}
die() {
@@ -49,9 +49,9 @@ die() {
}
runpart() {
- local part=$1
+ local part=$1
msg "Running part $part"
- $part || die "$part failed"
+ $part || die "$part failed"
}
is_vserver() {
@@ -161,9 +161,9 @@ prepare_chroot() {
msg "Generating buildlab signing keys..."
do_chroot_action "$path" su abuild -c "'abuild-keygen -ai'"
-
+
msg "Setting up repository symlink..."
- mkdir -p "$path"/home/abuild/.cache/apks
+ mkdir -p "$path"/home/abuild/.cache/apks
do_chroot_action "$path" chown abuild:abuild /home/abuild/${src}
do_chroot_action "$path" ln -sf .cache/apks /home/abuild/repo
@@ -256,8 +256,8 @@ while getopts "chqCkp:v:m:a:b:u" opt; do
case $opt in
'c') default_colors
color_opt="-c";;
- 'h') usage;;
- 'q') quiet="-q";;
+ 'h') usage;;
+ 'q') quiet="-q";;
'C') create="-c";;
'p') buildpath="$OPTARG";;
'm') buildmirror="$OPTARG";;
@@ -266,7 +266,7 @@ while getopts "chqCkp:v:m:a:b:u" opt; do
'k') enablecache=1;;
'b') buildpkg="$OPTARG";;
'u') update="-u";;
- esac
+ esac
done
shift $(( $OPTIND - 1 ))
diff --git a/newapkbuild.in b/newapkbuild.in
index 54169cd..7dbf615 100644
--- a/newapkbuild.in
+++ b/newapkbuild.in
@@ -155,7 +155,7 @@ newaport() {
if [ -z "$makedepends" ] &&[ "$buildtype" = "python" ]; then
makedepends="python-dev"
else
- makedepends="\$depends_dev"
+ makedepends="\$depends_dev"
fi
# Replace pkgver in $source
@@ -329,4 +329,3 @@ while [ $# -gt 0 ]; do
newaport $1 || exit 1
shift
done
-